org.jetlang.web

## Class WebAcceptor

- java.lang.Object
- - org.jetlang.web.WebAcceptor

    public class WebAcceptor
    extends Object

### Nested Class Summary

Nested Classes
`static class` `WebAcceptor.Config`

### Constructor Summary

Constructors
Constructor and Description
`WebAcceptor(int port, org.jetlang.fibers.NioFiber acceptorFiber, NioAcceptorHandler.ClientFactory clientFactory, WebAcceptor.Config config, Runnable onEnd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServerSocketChannel` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebAcceptor

    public WebAcceptor(int port,
                       org.jetlang.fibers.NioFiber acceptorFiber,
                       NioAcceptorHandler.ClientFactory clientFactory,
                       WebAcceptor.Config config,
                       Runnable onEnd)

### Method Detail

#### start

    public ServerSocketChannel start()